package jp.co.jid.exBasic;

public class Blood {
	/** 血液型：A型 */
	public static final String BLOOD_TYPE_A = "A";
	/** 血液型：B型 */
	public static final String BLOOD_TYPE_B = "B";
	/** 血液型：AB型 */
	public static final String BLOOD_TYPE_AB = "AB";
	/** 血液型：O型 */
	public static final String BLOOD_TYPE_O = "O";

	/** 血液型 */
	private String blood;

	/**
	 * 血液型がA型か？
	 * @return 血液型がA型ならtrueを返す
	 */
	public boolean isA() {
		return this.blood.equals(BLOOD_TYPE_A) ? true : false;
	}

	/**
	 * 血液型がB型か？
	 * @return 血液型がB型ならtrueを返す
	 */
	public boolean isB() {
		return this.blood.equals(BLOOD_TYPE_B) ? true : false;
	}

	/**
	 * 血液型がAB型か？
	 * @return 血液型がAB型ならtrueを返す
	 */
	public boolean isAB() {
		return this.blood.equals(BLOOD_TYPE_AB) ? true : false;
	}

	/**
	 * 血液型がO型か？
	 * @return 血液型がO型ならtrueを返す
	 */
	public boolean isO() {
		return this.blood.equals(BLOOD_TYPE_O) ? true : false;
	}
}
